@import "../components/_pagination--VjAzeJ.css";

/* list */
    #page.catalog.list .loading {
        opacity: 0.5;
    }
    #page.catalog.list .filter {
      position: fixed;
      padding: 1rem;
      bottom: 0;
      margin: auto;
      display: flex;
      z-index: 4;
      align-items: center;
      justify-content: center;
    }
    #page.catalog.list .filter form{
        flex: 1;
    }
    html:has(aside.open) {
      overflow: clip;
    }
    #page.catalog.list aside {
        position: fixed;
        z-index: 100;
        max-width: 100%;
        height: 100vh;
        top: 0;
        left: 0;
        transform: translateY(100%);
        transition: transform 0.3s ease;
        width: 40em;
        box-shadow: var(--shadow-hover);
        border: none;
        border-radius: 0 var(--radius) 0 0;
    }
    #page.catalog.list aside.active {
        transform: translateY(0);
    }
    #page.catalog.list aside [data-action="modal#close"].button {
        display: flex;
    }
    #page.catalog.list aside select {
        min-width: 15em;
        width: 100%;
    }
    #page.catalog.list aside select ~ button.button {
        position: absolute;
        pointer-events: none;
    }
    #page.catalog.list aside > .column {
        gap: 0;
    }
    #page.catalog.list aside > .column > * {
        width: 100%;
        align-items: flex-start;
        border-radius: 0;
        border: transparent;
        padding: 0.5rem;
    }
    #page.catalog.list aside > .column > * + * {
        border-top: 1px solid var(--gray-200);
    }
    #page.catalog.list aside > .column > * .accordion__intro,
    #page.catalog.list aside > .column > * .accordion__content,
    #page.catalog.list aside > .column > * .accordion__content .row {
        width: 100%;
    }
    #page.catalog.list aside > .column > * .accordion__content {
        max-height: 40vh;
        overflow-y: auto;
        scrollbar-width: thin;
    }
    #page.catalog.list aside > .accordion .accordion__intro:before {
        content: "";
        position: absolute;
        bottom: 0;
        left: 0;
        height: 1px;
        width: 100%;
        transition: var(--slow-transition);
        background-color: var(--gray-200);
    }
    .accordion.accordion_active > .accordion_intro:before {
        background-color: var(--secondary);
        transition: var(--slow-transition);
    }

/* show */
    #page.catalog.show .banner:has(.breadcrumb) > .container.column {
        padding: 8rem 0 1rem 0;
    }
    #page.catalog.show .container:has(.info-product) {
        padding-top: 1rem;
    }
    #page.catalog.show section + section {
        margin-top: 0;
    }
    #page.catalog.show .breadcrumb {
        --color-breadcrumb: var(--primary);
        padding: var(--space-m) 0;
    }
    #page.catalog.show .price {
        font-size: var(--font-l);
    }
    #page.catalog.show .price.ancien-prix {
        font-size: var(--font-m);
        color: var(--text-color);
        font-variation-settings: "wght" 600;
        opacity: 0.7;
        text-decoration-line: line-through;
    }
    #page.catalog.show .price.prix-promo {
        color: var(--red-600);
    }
    #page.catalog.show .info-product {
        display: flex;
        flex-direction: row-reverse;
        gap: 1rem;
        padding-bottom: var(--space-l);
    }
    #page.catalog.show .info-product .description-product {
        gap: var(--space-m);
        background-color: var(--white);
        border-radius: var(--radius-inside);
        box-shadow: var(--shadow);
        padding: var(--space-l);
        width: 40%;
        margin-bottom: var(--space-m);
    }
    #page.catalog.show .info-product .description-product .title-banner {
        color: var(--primary);
        display: flex;
        flex-direction: column-reverse;
        gap: var(--space-s);
    }
    #page.catalog.show .info-product .description-product .title-banner .h2{
        font-size: var(--font-xl);
    }
    #page.catalog.show .info-product .description-product .reinsurance-container {
        --text-reassurance: var(--orange-600);
        background-color: var(--orange-50);
        border: 1px solid var(--orange-200);
        padding: 1rem;
        border-radius: var(--radius);
        font-size: var(--font-s);
        color: var(--text-reassurance);
    }
    #page.catalog.show .info-product .description-product .reinsurance-container .reinsurance-item {
        gap: var(--space-s);
        flex-flow: row;
    }
    #page.catalog.show .info-product .description-product .reinsurance-container .reinsurance-item svg.icon {
        --color-svg: var(--text-reassurance);
    }
    #page.catalog.show .info-product .description-product .reinsurance-container .reinsurance-item p {
        width: 90%;
    }
    #page.catalog.show .info-product .description-product h4.h4 {
        color: var(--primary);
    }
    #page.catalog.show .info-product .description-product .table-product > *:nth-child(even) {
        background-color: var(--white);
    }
    #page.catalog.show .info-product .description-product .table-product .row {
        justify-content: space-between;
        padding: var(--space-s);
    }
    #page.catalog.show .info-product .image-product {
        width: 60%;
    }
    #page.catalog.show .info-product .image-product .grid-elements > div:only-of-type {
        --grid-col: 1;
    }
    #page.catalog.show .info-product .image-product picture {
        aspect-ratio: 1/1;
        border-radius: var(--radius-inside);
        overflow: hidden;
        isolation: isolate;
        border: 1px solid var(--gray-200);
        background: var(--white);
    }
    #page.catalog.show .info-product .image-product picture:hover, #page.catalog.show .info-product .image-product picture:focus {
        cursor: zoom-in;
    }
    #page.catalog.show .info-product .image-product picture img {
        object-fit: contain;
    }

@media screen and (max-width: 1280px) {
    #page.catalog.list .grid-elements.grid-4 {
        --grid-col: 4;
    }
}
@media screen and (max-width: 1024px) {
    #page.catalog.list .grid-elements.grid-4 {
        --grid-col: 3;
    }
    #page.catalog.list section.filter .filter-button {
        display: block;
    }
    #page.catalog.list .grid-elements {
        width: 100%;
    }
    #page.catalog.show .info-product {
        margin-top: 1rem;
        display: flex;
        flex-direction: column-reverse;
        gap: 1rem;
    }
    #page.catalog.show .info-product > *,
    #page.catalog.show .info-product .description-product {
        width: 100%;
    }
    #page.catalog.show .info-product .image-product {
        display: none;
        visibility: hidden;
        pointer-events: none;
    }
}
@media screen and (max-width: 768px) {
    #page.catalog.list .grid-elements.grid-4 {
        --grid-col: 2;
    }
}
@media screen and (max-width: 640px) {
    #page.catalog.show .info-product .description-product .title-banner .h2,
    #page.catalog.show .info-product .description-product .title-banner h2 {
        font-size: var(--font-xl);
    }
}

